/**
 * Autogenerated by Thrift Compiler (1.0.0-dev)
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 *  @generated
 */
package jayeson.vodds.service.cms.thrift;

import org.apache.thrift.scheme.IScheme;
import org.apache.thrift.scheme.SchemeFactory;
import org.apache.thrift.scheme.StandardScheme;

import org.apache.thrift.scheme.TupleScheme;
import org.apache.thrift.protocol.TTupleProtocol;
import org.apache.thrift.protocol.TProtocolException;
import org.apache.thrift.EncodingUtils;
import org.apache.thrift.TException;
import org.apache.thrift.async.AsyncMethodCallback;
import org.apache.thrift.server.AbstractNonblockingServer.*;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;
import java.util.EnumMap;
import java.util.Set;
import java.util.HashSet;
import java.util.EnumSet;
import java.util.Collections;
import java.util.BitSet;
import java.nio.ByteBuffer;
import java.util.Arrays;
import javax.annotation.Generated;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@SuppressWarnings({"cast", "rawtypes", "serial", "unchecked"})
@Generated(value = "Autogenerated by Thrift Compiler (1.0.0-dev)", date = "2022-4-26")
public class ThriftActualizedInfo implements org.apache.thrift.TBase<ThriftActualizedInfo, ThriftActualizedInfo._Fields>, java.io.Serializable, Cloneable, Comparable<ThriftActualizedInfo> {
  private static final org.apache.thrift.protocol.TStruct STRUCT_DESC = new org.apache.thrift.protocol.TStruct("ThriftActualizedInfo");

  private static final org.apache.thrift.protocol.TField SERVICE_ID_FIELD_DESC = new org.apache.thrift.protocol.TField("serviceId", org.apache.thrift.protocol.TType.STRING, (short)1);
  private static final org.apache.thrift.protocol.TField USER_IDS_FIELD_DESC = new org.apache.thrift.protocol.TField("userIds", org.apache.thrift.protocol.TType.I64, (short)2);
  private static final org.apache.thrift.protocol.TField OPEN_ORDER_ID_FIELD_DESC = new org.apache.thrift.protocol.TField("openOrderId", org.apache.thrift.protocol.TType.I64, (short)3);
  private static final org.apache.thrift.protocol.TField NORMAL_ORDER_ID_FIELD_DESC = new org.apache.thrift.protocol.TField("normalOrderId", org.apache.thrift.protocol.TType.I64, (short)4);
  private static final org.apache.thrift.protocol.TField REFUND_MARGIN_FIELD_DESC = new org.apache.thrift.protocol.TField("refundMargin", org.apache.thrift.protocol.TType.DOUBLE, (short)5);
  private static final org.apache.thrift.protocol.TField RESERVE_STAKE_FIELD_DESC = new org.apache.thrift.protocol.TField("reserveStake", org.apache.thrift.protocol.TType.DOUBLE, (short)6);
  private static final org.apache.thrift.protocol.TField MATCH_ID_FIELD_DESC = new org.apache.thrift.protocol.TField("matchId", org.apache.thrift.protocol.TType.STRING, (short)7);
  private static final org.apache.thrift.protocol.TField SPORT_TYPE_FIELD_DESC = new org.apache.thrift.protocol.TField("sportType", org.apache.thrift.protocol.TType.STRING, (short)8);
  private static final org.apache.thrift.protocol.TField ORDER_STATUS_FIELD_DESC = new org.apache.thrift.protocol.TField("orderStatus", org.apache.thrift.protocol.TType.STRING, (short)9);
  private static final org.apache.thrift.protocol.TField START_TIME_FIELD_DESC = new org.apache.thrift.protocol.TField("startTime", org.apache.thrift.protocol.TType.I64, (short)10);
  private static final org.apache.thrift.protocol.TField EXECUTION_STAGE_FIELD_DESC = new org.apache.thrift.protocol.TField("executionStage", org.apache.thrift.protocol.TType.STRING, (short)11);

  private static final Map<Class<? extends IScheme>, SchemeFactory> schemes = new HashMap<Class<? extends IScheme>, SchemeFactory>();
  static {
    schemes.put(StandardScheme.class, new ThriftActualizedInfoStandardSchemeFactory());
    schemes.put(TupleScheme.class, new ThriftActualizedInfoTupleSchemeFactory());
  }

  public String serviceId; // required
  public long userIds; // required
  public long openOrderId; // required
  public long normalOrderId; // required
  public double refundMargin; // required
  public double reserveStake; // required
  public String matchId; // required
  public String sportType; // required
  public String orderStatus; // required
  public long startTime; // required
  public String executionStage; // required

  /** The set of fields this struct contains, along with convenience methods for finding and manipulating them. */
  public enum _Fields implements org.apache.thrift.TFieldIdEnum {
    SERVICE_ID((short)1, "serviceId"),
    USER_IDS((short)2, "userIds"),
    OPEN_ORDER_ID((short)3, "openOrderId"),
    NORMAL_ORDER_ID((short)4, "normalOrderId"),
    REFUND_MARGIN((short)5, "refundMargin"),
    RESERVE_STAKE((short)6, "reserveStake"),
    MATCH_ID((short)7, "matchId"),
    SPORT_TYPE((short)8, "sportType"),
    ORDER_STATUS((short)9, "orderStatus"),
    START_TIME((short)10, "startTime"),
    EXECUTION_STAGE((short)11, "executionStage");

    private static final Map<String, _Fields> byName = new HashMap<String, _Fields>();

    static {
      for (_Fields field : EnumSet.allOf(_Fields.class)) {
        byName.put(field.getFieldName(), field);
      }
    }

    /**
     * Find the _Fields constant that matches fieldId, or null if its not found.
     */
    public static _Fields findByThriftId(int fieldId) {
      switch(fieldId) {
        case 1: // SERVICE_ID
          return SERVICE_ID;
        case 2: // USER_IDS
          return USER_IDS;
        case 3: // OPEN_ORDER_ID
          return OPEN_ORDER_ID;
        case 4: // NORMAL_ORDER_ID
          return NORMAL_ORDER_ID;
        case 5: // REFUND_MARGIN
          return REFUND_MARGIN;
        case 6: // RESERVE_STAKE
          return RESERVE_STAKE;
        case 7: // MATCH_ID
          return MATCH_ID;
        case 8: // SPORT_TYPE
          return SPORT_TYPE;
        case 9: // ORDER_STATUS
          return ORDER_STATUS;
        case 10: // START_TIME
          return START_TIME;
        case 11: // EXECUTION_STAGE
          return EXECUTION_STAGE;
        default:
          return null;
      }
    }

    /**
     * Find the _Fields constant that matches fieldId, throwing an exception
     * if it is not found.
     */
    public static _Fields findByThriftIdOrThrow(int fieldId) {
      _Fields fields = findByThriftId(fieldId);
      if (fields == null) throw new IllegalArgumentException("Field " + fieldId + " doesn't exist!");
      return fields;
    }

    /**
     * Find the _Fields constant that matches name, or null if its not found.
     */
    public static _Fields findByName(String name) {
      return byName.get(name);
    }

    private final short _thriftId;
    private final String _fieldName;

    _Fields(short thriftId, String fieldName) {
      _thriftId = thriftId;
      _fieldName = fieldName;
    }

    public short getThriftFieldId() {
      return _thriftId;
    }

    public String getFieldName() {
      return _fieldName;
    }
  }

  // isset id assignments
  private static final int __USERIDS_ISSET_ID = 0;
  private static final int __OPENORDERID_ISSET_ID = 1;
  private static final int __NORMALORDERID_ISSET_ID = 2;
  private static final int __REFUNDMARGIN_ISSET_ID = 3;
  private static final int __RESERVESTAKE_ISSET_ID = 4;
  private static final int __STARTTIME_ISSET_ID = 5;
  private byte __isset_bitfield = 0;
  public static final Map<_Fields, org.apache.thrift.meta_data.FieldMetaData> metaDataMap;
  static {
    Map<_Fields, org.apache.thrift.meta_data.FieldMetaData> tmpMap = new EnumMap<_Fields, org.apache.thrift.meta_data.FieldMetaData>(_Fields.class);
    tmpMap.put(_Fields.SERVICE_ID, new org.apache.thrift.meta_data.FieldMetaData("serviceId", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.STRING)));
    tmpMap.put(_Fields.USER_IDS, new org.apache.thrift.meta_data.FieldMetaData("userIds", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.I64)));
    tmpMap.put(_Fields.OPEN_ORDER_ID, new org.apache.thrift.meta_data.FieldMetaData("openOrderId", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.I64)));
    tmpMap.put(_Fields.NORMAL_ORDER_ID, new org.apache.thrift.meta_data.FieldMetaData("normalOrderId", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.I64)));
    tmpMap.put(_Fields.REFUND_MARGIN, new org.apache.thrift.meta_data.FieldMetaData("refundMargin", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.DOUBLE)));
    tmpMap.put(_Fields.RESERVE_STAKE, new org.apache.thrift.meta_data.FieldMetaData("reserveStake", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.DOUBLE)));
    tmpMap.put(_Fields.MATCH_ID, new org.apache.thrift.meta_data.FieldMetaData("matchId", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.STRING)));
    tmpMap.put(_Fields.SPORT_TYPE, new org.apache.thrift.meta_data.FieldMetaData("sportType", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.STRING)));
    tmpMap.put(_Fields.ORDER_STATUS, new org.apache.thrift.meta_data.FieldMetaData("orderStatus", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.STRING)));
    tmpMap.put(_Fields.START_TIME, new org.apache.thrift.meta_data.FieldMetaData("startTime", org.apache.thrift.TFieldRequirementType.REQUIRED, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.I64)));
    tmpMap.put(_Fields.EXECUTION_STAGE, new org.apache.thrift.meta_data.FieldMetaData("executionStage", org.apache.thrift.TFieldRequirementType.DEFAULT, 
        new org.apache.thrift.meta_data.FieldValueMetaData(org.apache.thrift.protocol.TType.STRING)));
    metaDataMap = Collections.unmodifiableMap(tmpMap);
    org.apache.thrift.meta_data.FieldMetaData.addStructMetaDataMap(ThriftActualizedInfo.class, metaDataMap);
  }

  public ThriftActualizedInfo() {
  }

  public ThriftActualizedInfo(
    String serviceId,
    long userIds,
    long openOrderId,
    long normalOrderId,
    double refundMargin,
    double reserveStake,
    String matchId,
    String sportType,
    String orderStatus,
    long startTime,
    String executionStage)
  {
    this();
    this.serviceId = serviceId;
    this.userIds = userIds;
    setUserIdsIsSet(true);
    this.openOrderId = openOrderId;
    setOpenOrderIdIsSet(true);
    this.normalOrderId = normalOrderId;
    setNormalOrderIdIsSet(true);
    this.refundMargin = refundMargin;
    setRefundMarginIsSet(true);
    this.reserveStake = reserveStake;
    setReserveStakeIsSet(true);
    this.matchId = matchId;
    this.sportType = sportType;
    this.orderStatus = orderStatus;
    this.startTime = startTime;
    setStartTimeIsSet(true);
    this.executionStage = executionStage;
  }

  /**
   * Performs a deep copy on <i>other</i>.
   */
  public ThriftActualizedInfo(ThriftActualizedInfo other) {
    __isset_bitfield = other.__isset_bitfield;
    if (other.isSetServiceId()) {
      this.serviceId = other.serviceId;
    }
    this.userIds = other.userIds;
    this.openOrderId = other.openOrderId;
    this.normalOrderId = other.normalOrderId;
    this.refundMargin = other.refundMargin;
    this.reserveStake = other.reserveStake;
    if (other.isSetMatchId()) {
      this.matchId = other.matchId;
    }
    if (other.isSetSportType()) {
      this.sportType = other.sportType;
    }
    if (other.isSetOrderStatus()) {
      this.orderStatus = other.orderStatus;
    }
    this.startTime = other.startTime;
    if (other.isSetExecutionStage()) {
      this.executionStage = other.executionStage;
    }
  }

  public ThriftActualizedInfo deepCopy() {
    return new ThriftActualizedInfo(this);
  }

  @Override
  public void clear() {
    this.serviceId = null;
    setUserIdsIsSet(false);
    this.userIds = 0;
    setOpenOrderIdIsSet(false);
    this.openOrderId = 0;
    setNormalOrderIdIsSet(false);
    this.normalOrderId = 0;
    setRefundMarginIsSet(false);
    this.refundMargin = 0.0;
    setReserveStakeIsSet(false);
    this.reserveStake = 0.0;
    this.matchId = null;
    this.sportType = null;
    this.orderStatus = null;
    setStartTimeIsSet(false);
    this.startTime = 0;
    this.executionStage = null;
  }

  public String getServiceId() {
    return this.serviceId;
  }

  public ThriftActualizedInfo setServiceId(String serviceId) {
    this.serviceId = serviceId;
    return this;
  }

  public void unsetServiceId() {
    this.serviceId = null;
  }

  /** Returns true if field serviceId is set (has been assigned a value) and false otherwise */
  public boolean isSetServiceId() {
    return this.serviceId != null;
  }

  public void setServiceIdIsSet(boolean value) {
    if (!value) {
      this.serviceId = null;
    }
  }

  public long getUserIds() {
    return this.userIds;
  }

  public ThriftActualizedInfo setUserIds(long userIds) {
    this.userIds = userIds;
    setUserIdsIsSet(true);
    return this;
  }

  public void unsetUserIds() {
    __isset_bitfield = EncodingUtils.clearBit(__isset_bitfield, __USERIDS_ISSET_ID);
  }

  /** Returns true if field userIds is set (has been assigned a value) and false otherwise */
  public boolean isSetUserIds() {
    return EncodingUtils.testBit(__isset_bitfield, __USERIDS_ISSET_ID);
  }

  public void setUserIdsIsSet(boolean value) {
    __isset_bitfield = EncodingUtils.setBit(__isset_bitfield, __USERIDS_ISSET_ID, value);
  }

  public long getOpenOrderId() {
    return this.openOrderId;
  }

  public ThriftActualizedInfo setOpenOrderId(long openOrderId) {
    this.openOrderId = openOrderId;
    setOpenOrderIdIsSet(true);
    return this;
  }

  public void unsetOpenOrderId() {
    __isset_bitfield = EncodingUtils.clearBit(__isset_bitfield, __OPENORDERID_ISSET_ID);
  }

  /** Returns true if field openOrderId is set (has been assigned a value) and false otherwise */
  public boolean isSetOpenOrderId() {
    return EncodingUtils.testBit(__isset_bitfield, __OPENORDERID_ISSET_ID);
  }

  public void setOpenOrderIdIsSet(boolean value) {
    __isset_bitfield = EncodingUtils.setBit(__isset_bitfield, __OPENORDERID_ISSET_ID, value);
  }

  public long getNormalOrderId() {
    return this.normalOrderId;
  }

  public ThriftActualizedInfo setNormalOrderId(long normalOrderId) {
    this.normalOrderId = normalOrderId;
    setNormalOrderIdIsSet(true);
    return this;
  }

  public void unsetNormalOrderId() {
    __isset_bitfield = EncodingUtils.clearBit(__isset_bitfield, __NORMALORDERID_ISSET_ID);
  }

  /** Returns true if field normalOrderId is set (has been assigned a value) and false otherwise */
  public boolean isSetNormalOrderId() {
    return EncodingUtils.testBit(__isset_bitfield, __NORMALORDERID_ISSET_ID);
  }

  public void setNormalOrderIdIsSet(boolean value) {
    __isset_bitfield = EncodingUtils.setBit(__isset_bitfield, __NORMALORDERID_ISSET_ID, value);
  }

  public double getRefundMargin() {
    return this.refundMargin;
  }

  public ThriftActualizedInfo setRefundMargin(double refundMargin) {
    this.refundMargin = refundMargin;
    setRefundMarginIsSet(true);
    return this;
  }

  public void unsetRefundMargin() {
    __isset_bitfield = EncodingUtils.clearBit(__isset_bitfield, __REFUNDMARGIN_ISSET_ID);
  }

  /** Returns true if field refundMargin is set (has been assigned a value) and false otherwise */
  public boolean isSetRefundMargin() {
    return EncodingUtils.testBit(__isset_bitfield, __REFUNDMARGIN_ISSET_ID);
  }

  public void setRefundMarginIsSet(boolean value) {
    __isset_bitfield = EncodingUtils.setBit(__isset_bitfield, __REFUNDMARGIN_ISSET_ID, value);
  }

  public double getReserveStake() {
    return this.reserveStake;
  }

  public ThriftActualizedInfo setReserveStake(double reserveStake) {
    this.reserveStake = reserveStake;
    setReserveStakeIsSet(true);
    return this;
  }

  public void unsetReserveStake() {
    __isset_bitfield = EncodingUtils.clearBit(__isset_bitfield, __RESERVESTAKE_ISSET_ID);
  }

  /** Returns true if field reserveStake is set (has been assigned a value) and false otherwise */
  public boolean isSetReserveStake() {
    return EncodingUtils.testBit(__isset_bitfield, __RESERVESTAKE_ISSET_ID);
  }

  public void setReserveStakeIsSet(boolean value) {
    __isset_bitfield = EncodingUtils.setBit(__isset_bitfield, __RESERVESTAKE_ISSET_ID, value);
  }

  public String getMatchId() {
    return this.matchId;
  }

  public ThriftActualizedInfo setMatchId(String matchId) {
    this.matchId = matchId;
    return this;
  }

  public void unsetMatchId() {
    this.matchId = null;
  }

  /** Returns true if field matchId is set (has been assigned a value) and false otherwise */
  public boolean isSetMatchId() {
    return this.matchId != null;
  }

  public void setMatchIdIsSet(boolean value) {
    if (!value) {
      this.matchId = null;
    }
  }

  public String getSportType() {
    return this.sportType;
  }

  public ThriftActualizedInfo setSportType(String sportType) {
    this.sportType = sportType;
    return this;
  }

  public void unsetSportType() {
    this.sportType = null;
  }

  /** Returns true if field sportType is set (has been assigned a value) and false otherwise */
  public boolean isSetSportType() {
    return this.sportType != null;
  }

  public void setSportTypeIsSet(boolean value) {
    if (!value) {
      this.sportType = null;
    }
  }

  public String getOrderStatus() {
    return this.orderStatus;
  }

  public ThriftActualizedInfo setOrderStatus(String orderStatus) {
    this.orderStatus = orderStatus;
    return this;
  }

  public void unsetOrderStatus() {
    this.orderStatus = null;
  }

  /** Returns true if field orderStatus is set (has been assigned a value) and false otherwise */
  public boolean isSetOrderStatus() {
    return this.orderStatus != null;
  }

  public void setOrderStatusIsSet(boolean value) {
    if (!value) {
      this.orderStatus = null;
    }
  }

  public long getStartTime() {
    return this.startTime;
  }

  public ThriftActualizedInfo setStartTime(long startTime) {
    this.startTime = startTime;
    setStartTimeIsSet(true);
    return this;
  }

  public void unsetStartTime() {
    __isset_bitfield = EncodingUtils.clearBit(__isset_bitfield, __STARTTIME_ISSET_ID);
  }

  /** Returns true if field startTime is set (has been assigned a value) and false otherwise */
  public boolean isSetStartTime() {
    return EncodingUtils.testBit(__isset_bitfield, __STARTTIME_ISSET_ID);
  }

  public void setStartTimeIsSet(boolean value) {
    __isset_bitfield = EncodingUtils.setBit(__isset_bitfield, __STARTTIME_ISSET_ID, value);
  }

  public String getExecutionStage() {
    return this.executionStage;
  }

  public ThriftActualizedInfo setExecutionStage(String executionStage) {
    this.executionStage = executionStage;
    return this;
  }

  public void unsetExecutionStage() {
    this.executionStage = null;
  }

  /** Returns true if field executionStage is set (has been assigned a value) and false otherwise */
  public boolean isSetExecutionStage() {
    return this.executionStage != null;
  }

  public void setExecutionStageIsSet(boolean value) {
    if (!value) {
      this.executionStage = null;
    }
  }

  public void setFieldValue(_Fields field, Object value) {
    switch (field) {
    case SERVICE_ID:
      if (value == null) {
        unsetServiceId();
      } else {
        setServiceId((String)value);
      }
      break;

    case USER_IDS:
      if (value == null) {
        unsetUserIds();
      } else {
        setUserIds((Long)value);
      }
      break;

    case OPEN_ORDER_ID:
      if (value == null) {
        unsetOpenOrderId();
      } else {
        setOpenOrderId((Long)value);
      }
      break;

    case NORMAL_ORDER_ID:
      if (value == null) {
        unsetNormalOrderId();
      } else {
        setNormalOrderId((Long)value);
      }
      break;

    case REFUND_MARGIN:
      if (value == null) {
        unsetRefundMargin();
      } else {
        setRefundMargin((Double)value);
      }
      break;

    case RESERVE_STAKE:
      if (value == null) {
        unsetReserveStake();
      } else {
        setReserveStake((Double)value);
      }
      break;

    case MATCH_ID:
      if (value == null) {
        unsetMatchId();
      } else {
        setMatchId((String)value);
      }
      break;

    case SPORT_TYPE:
      if (value == null) {
        unsetSportType();
      } else {
        setSportType((String)value);
      }
      break;

    case ORDER_STATUS:
      if (value == null) {
        unsetOrderStatus();
      } else {
        setOrderStatus((String)value);
      }
      break;

    case START_TIME:
      if (value == null) {
        unsetStartTime();
      } else {
        setStartTime((Long)value);
      }
      break;

    case EXECUTION_STAGE:
      if (value == null) {
        unsetExecutionStage();
      } else {
        setExecutionStage((String)value);
      }
      break;

    }
  }

  public Object getFieldValue(_Fields field) {
    switch (field) {
    case SERVICE_ID:
      return getServiceId();

    case USER_IDS:
      return Long.valueOf(getUserIds());

    case OPEN_ORDER_ID:
      return Long.valueOf(getOpenOrderId());

    case NORMAL_ORDER_ID:
      return Long.valueOf(getNormalOrderId());

    case REFUND_MARGIN:
      return Double.valueOf(getRefundMargin());

    case RESERVE_STAKE:
      return Double.valueOf(getReserveStake());

    case MATCH_ID:
      return getMatchId();

    case SPORT_TYPE:
      return getSportType();

    case ORDER_STATUS:
      return getOrderStatus();

    case START_TIME:
      return Long.valueOf(getStartTime());

    case EXECUTION_STAGE:
      return getExecutionStage();

    }
    throw new IllegalStateException();
  }

  /** Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise */
  public boolean isSet(_Fields field) {
    if (field == null) {
      throw new IllegalArgumentException();
    }

    switch (field) {
    case SERVICE_ID:
      return isSetServiceId();
    case USER_IDS:
      return isSetUserIds();
    case OPEN_ORDER_ID:
      return isSetOpenOrderId();
    case NORMAL_ORDER_ID:
      return isSetNormalOrderId();
    case REFUND_MARGIN:
      return isSetRefundMargin();
    case RESERVE_STAKE:
      return isSetReserveStake();
    case MATCH_ID:
      return isSetMatchId();
    case SPORT_TYPE:
      return isSetSportType();
    case ORDER_STATUS:
      return isSetOrderStatus();
    case START_TIME:
      return isSetStartTime();
    case EXECUTION_STAGE:
      return isSetExecutionStage();
    }
    throw new IllegalStateException();
  }

  @Override
  public boolean equals(Object that) {
    if (that == null)
      return false;
    if (that instanceof ThriftActualizedInfo)
      return this.equals((ThriftActualizedInfo)that);
    return false;
  }

  public boolean equals(ThriftActualizedInfo that) {
    if (that == null)
      return false;

    boolean this_present_serviceId = true && this.isSetServiceId();
    boolean that_present_serviceId = true && that.isSetServiceId();
    if (this_present_serviceId || that_present_serviceId) {
      if (!(this_present_serviceId && that_present_serviceId))
        return false;
      if (!this.serviceId.equals(that.serviceId))
        return false;
    }

    boolean this_present_userIds = true;
    boolean that_present_userIds = true;
    if (this_present_userIds || that_present_userIds) {
      if (!(this_present_userIds && that_present_userIds))
        return false;
      if (this.userIds != that.userIds)
        return false;
    }

    boolean this_present_openOrderId = true;
    boolean that_present_openOrderId = true;
    if (this_present_openOrderId || that_present_openOrderId) {
      if (!(this_present_openOrderId && that_present_openOrderId))
        return false;
      if (this.openOrderId != that.openOrderId)
        return false;
    }

    boolean this_present_normalOrderId = true;
    boolean that_present_normalOrderId = true;
    if (this_present_normalOrderId || that_present_normalOrderId) {
      if (!(this_present_normalOrderId && that_present_normalOrderId))
        return false;
      if (this.normalOrderId != that.normalOrderId)
        return false;
    }

    boolean this_present_refundMargin = true;
    boolean that_present_refundMargin = true;
    if (this_present_refundMargin || that_present_refundMargin) {
      if (!(this_present_refundMargin && that_present_refundMargin))
        return false;
      if (this.refundMargin != that.refundMargin)
        return false;
    }

    boolean this_present_reserveStake = true;
    boolean that_present_reserveStake = true;
    if (this_present_reserveStake || that_present_reserveStake) {
      if (!(this_present_reserveStake && that_present_reserveStake))
        return false;
      if (this.reserveStake != that.reserveStake)
        return false;
    }

    boolean this_present_matchId = true && this.isSetMatchId();
    boolean that_present_matchId = true && that.isSetMatchId();
    if (this_present_matchId || that_present_matchId) {
      if (!(this_present_matchId && that_present_matchId))
        return false;
      if (!this.matchId.equals(that.matchId))
        return false;
    }

    boolean this_present_sportType = true && this.isSetSportType();
    boolean that_present_sportType = true && that.isSetSportType();
    if (this_present_sportType || that_present_sportType) {
      if (!(this_present_sportType && that_present_sportType))
        return false;
      if (!this.sportType.equals(that.sportType))
        return false;
    }

    boolean this_present_orderStatus = true && this.isSetOrderStatus();
    boolean that_present_orderStatus = true && that.isSetOrderStatus();
    if (this_present_orderStatus || that_present_orderStatus) {
      if (!(this_present_orderStatus && that_present_orderStatus))
        return false;
      if (!this.orderStatus.equals(that.orderStatus))
        return false;
    }

    boolean this_present_startTime = true;
    boolean that_present_startTime = true;
    if (this_present_startTime || that_present_startTime) {
      if (!(this_present_startTime && that_present_startTime))
        return false;
      if (this.startTime != that.startTime)
        return false;
    }

    boolean this_present_executionStage = true && this.isSetExecutionStage();
    boolean that_present_executionStage = true && that.isSetExecutionStage();
    if (this_present_executionStage || that_present_executionStage) {
      if (!(this_present_executionStage && that_present_executionStage))
        return false;
      if (!this.executionStage.equals(that.executionStage))
        return false;
    }

    return true;
  }

  @Override
  public int hashCode() {
    List<Object> list = new ArrayList<Object>();

    boolean present_serviceId = true && (isSetServiceId());
    list.add(present_serviceId);
    if (present_serviceId)
      list.add(serviceId);

    boolean present_userIds = true;
    list.add(present_userIds);
    if (present_userIds)
      list.add(userIds);

    boolean present_openOrderId = true;
    list.add(present_openOrderId);
    if (present_openOrderId)
      list.add(openOrderId);

    boolean present_normalOrderId = true;
    list.add(present_normalOrderId);
    if (present_normalOrderId)
      list.add(normalOrderId);

    boolean present_refundMargin = true;
    list.add(present_refundMargin);
    if (present_refundMargin)
      list.add(refundMargin);

    boolean present_reserveStake = true;
    list.add(present_reserveStake);
    if (present_reserveStake)
      list.add(reserveStake);

    boolean present_matchId = true && (isSetMatchId());
    list.add(present_matchId);
    if (present_matchId)
      list.add(matchId);

    boolean present_sportType = true && (isSetSportType());
    list.add(present_sportType);
    if (present_sportType)
      list.add(sportType);

    boolean present_orderStatus = true && (isSetOrderStatus());
    list.add(present_orderStatus);
    if (present_orderStatus)
      list.add(orderStatus);

    boolean present_startTime = true;
    list.add(present_startTime);
    if (present_startTime)
      list.add(startTime);

    boolean present_executionStage = true && (isSetExecutionStage());
    list.add(present_executionStage);
    if (present_executionStage)
      list.add(executionStage);

    return list.hashCode();
  }

  @Override
  public int compareTo(ThriftActualizedInfo other) {
    if (!getClass().equals(other.getClass())) {
      return getClass().getName().compareTo(other.getClass().getName());
    }

    int lastComparison = 0;

    lastComparison = Boolean.valueOf(isSetServiceId()).compareTo(other.isSetServiceId());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetServiceId()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.serviceId, other.serviceId);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetUserIds()).compareTo(other.isSetUserIds());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetUserIds()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.userIds, other.userIds);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetOpenOrderId()).compareTo(other.isSetOpenOrderId());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetOpenOrderId()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.openOrderId, other.openOrderId);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetNormalOrderId()).compareTo(other.isSetNormalOrderId());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetNormalOrderId()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.normalOrderId, other.normalOrderId);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetRefundMargin()).compareTo(other.isSetRefundMargin());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetRefundMargin()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.refundMargin, other.refundMargin);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetReserveStake()).compareTo(other.isSetReserveStake());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetReserveStake()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.reserveStake, other.reserveStake);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetMatchId()).compareTo(other.isSetMatchId());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetMatchId()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.matchId, other.matchId);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetSportType()).compareTo(other.isSetSportType());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetSportType()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.sportType, other.sportType);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetOrderStatus()).compareTo(other.isSetOrderStatus());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetOrderStatus()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.orderStatus, other.orderStatus);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetStartTime()).compareTo(other.isSetStartTime());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetStartTime()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.startTime, other.startTime);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    lastComparison = Boolean.valueOf(isSetExecutionStage()).compareTo(other.isSetExecutionStage());
    if (lastComparison != 0) {
      return lastComparison;
    }
    if (isSetExecutionStage()) {
      lastComparison = org.apache.thrift.TBaseHelper.compareTo(this.executionStage, other.executionStage);
      if (lastComparison != 0) {
        return lastComparison;
      }
    }
    return 0;
  }

  public _Fields fieldForId(int fieldId) {
    return _Fields.findByThriftId(fieldId);
  }

  public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException {
    schemes.get(iprot.getScheme()).getScheme().read(iprot, this);
  }

  public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException {
    schemes.get(oprot.getScheme()).getScheme().write(oprot, this);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder("ThriftActualizedInfo(");
    boolean first = true;

    sb.append("serviceId:");
    if (this.serviceId == null) {
      sb.append("null");
    } else {
      sb.append(this.serviceId);
    }
    first = false;
    if (!first) sb.append(", ");
    sb.append("userIds:");
    sb.append(this.userIds);
    first = false;
    if (!first) sb.append(", ");
    sb.append("openOrderId:");
    sb.append(this.openOrderId);
    first = false;
    if (!first) sb.append(", ");
    sb.append("normalOrderId:");
    sb.append(this.normalOrderId);
    first = false;
    if (!first) sb.append(", ");
    sb.append("refundMargin:");
    sb.append(this.refundMargin);
    first = false;
    if (!first) sb.append(", ");
    sb.append("reserveStake:");
    sb.append(this.reserveStake);
    first = false;
    if (!first) sb.append(", ");
    sb.append("matchId:");
    if (this.matchId == null) {
      sb.append("null");
    } else {
      sb.append(this.matchId);
    }
    first = false;
    if (!first) sb.append(", ");
    sb.append("sportType:");
    if (this.sportType == null) {
      sb.append("null");
    } else {
      sb.append(this.sportType);
    }
    first = false;
    if (!first) sb.append(", ");
    sb.append("orderStatus:");
    if (this.orderStatus == null) {
      sb.append("null");
    } else {
      sb.append(this.orderStatus);
    }
    first = false;
    if (!first) sb.append(", ");
    sb.append("startTime:");
    sb.append(this.startTime);
    first = false;
    if (!first) sb.append(", ");
    sb.append("executionStage:");
    if (this.executionStage == null) {
      sb.append("null");
    } else {
      sb.append(this.executionStage);
    }
    first = false;
    sb.append(")");
    return sb.toString();
  }

  public void validate() throws org.apache.thrift.TException {
    // check for required fields
    if (serviceId == null) {
      throw new org.apache.thrift.protocol.TProtocolException("Required field 'serviceId' was not present! Struct: " + toString());
    }
    // alas, we cannot check 'userIds' because it's a primitive and you chose the non-beans generator.
    // alas, we cannot check 'openOrderId' because it's a primitive and you chose the non-beans generator.
    // alas, we cannot check 'normalOrderId' because it's a primitive and you chose the non-beans generator.
    // alas, we cannot check 'refundMargin' because it's a primitive and you chose the non-beans generator.
    // alas, we cannot check 'reserveStake' because it's a primitive and you chose the non-beans generator.
    if (matchId == null) {
      throw new org.apache.thrift.protocol.TProtocolException("Required field 'matchId' was not present! Struct: " + toString());
    }
    if (sportType == null) {
      throw new org.apache.thrift.protocol.TProtocolException("Required field 'sportType' was not present! Struct: " + toString());
    }
    if (orderStatus == null) {
      throw new org.apache.thrift.protocol.TProtocolException("Required field 'orderStatus' was not present! Struct: " + toString());
    }
    // alas, we cannot check 'startTime' because it's a primitive and you chose the non-beans generator.
    // check for sub-struct validity
  }

  private void writeObject(java.io.ObjectOutputStream out) throws java.io.IOException {
    try {
      write(new org.apache.thrift.protocol.TCompactProtocol(new org.apache.thrift.transport.TIOStreamTransport(out)));
    } catch (org.apache.thrift.TException te) {
      throw new java.io.IOException(te);
    }
  }

  private void readObject(java.io.ObjectInputStream in) throws java.io.IOException, ClassNotFoundException {
    try {
      // it doesn't seem like you should have to do this, but java serialization is wacky, and doesn't call the default constructor.
      __isset_bitfield = 0;
      read(new org.apache.thrift.protocol.TCompactProtocol(new org.apache.thrift.transport.TIOStreamTransport(in)));
    } catch (org.apache.thrift.TException te) {
      throw new java.io.IOException(te);
    }
  }

  private static class ThriftActualizedInfoStandardSchemeFactory implements SchemeFactory {
    public ThriftActualizedInfoStandardScheme getScheme() {
      return new ThriftActualizedInfoStandardScheme();
    }
  }

  private static class ThriftActualizedInfoStandardScheme extends StandardScheme<ThriftActualizedInfo> {

    public void read(org.apache.thrift.protocol.TProtocol iprot, ThriftActualizedInfo struct) throws org.apache.thrift.TException {
      org.apache.thrift.protocol.TField schemeField;
      iprot.readStructBegin();
      while (true)
      {
        schemeField = iprot.readFieldBegin();
        if (schemeField.type == org.apache.thrift.protocol.TType.STOP) { 
          break;
        }
        switch (schemeField.id) {
          case 1: // SERVICE_ID
            if (schemeField.type == org.apache.thrift.protocol.TType.STRING) {
              struct.serviceId = iprot.readString();
              struct.setServiceIdIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 2: // USER_IDS
            if (schemeField.type == org.apache.thrift.protocol.TType.I64) {
              struct.userIds = iprot.readI64();
              struct.setUserIdsIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 3: // OPEN_ORDER_ID
            if (schemeField.type == org.apache.thrift.protocol.TType.I64) {
              struct.openOrderId = iprot.readI64();
              struct.setOpenOrderIdIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 4: // NORMAL_ORDER_ID
            if (schemeField.type == org.apache.thrift.protocol.TType.I64) {
              struct.normalOrderId = iprot.readI64();
              struct.setNormalOrderIdIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 5: // REFUND_MARGIN
            if (schemeField.type == org.apache.thrift.protocol.TType.DOUBLE) {
              struct.refundMargin = iprot.readDouble();
              struct.setRefundMarginIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 6: // RESERVE_STAKE
            if (schemeField.type == org.apache.thrift.protocol.TType.DOUBLE) {
              struct.reserveStake = iprot.readDouble();
              struct.setReserveStakeIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 7: // MATCH_ID
            if (schemeField.type == org.apache.thrift.protocol.TType.STRING) {
              struct.matchId = iprot.readString();
              struct.setMatchIdIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 8: // SPORT_TYPE
            if (schemeField.type == org.apache.thrift.protocol.TType.STRING) {
              struct.sportType = iprot.readString();
              struct.setSportTypeIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 9: // ORDER_STATUS
            if (schemeField.type == org.apache.thrift.protocol.TType.STRING) {
              struct.orderStatus = iprot.readString();
              struct.setOrderStatusIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 10: // START_TIME
            if (schemeField.type == org.apache.thrift.protocol.TType.I64) {
              struct.startTime = iprot.readI64();
              struct.setStartTimeIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          case 11: // EXECUTION_STAGE
            if (schemeField.type == org.apache.thrift.protocol.TType.STRING) {
              struct.executionStage = iprot.readString();
              struct.setExecutionStageIsSet(true);
            } else { 
              org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
            }
            break;
          default:
            org.apache.thrift.protocol.TProtocolUtil.skip(iprot, schemeField.type);
        }
        iprot.readFieldEnd();
      }
      iprot.readStructEnd();

      // check for required fields of primitive type, which can't be checked in the validate method
      if (!struct.isSetUserIds()) {
        throw new org.apache.thrift.protocol.TProtocolException("Required field 'userIds' was not found in serialized data! Struct: " + toString());
      }
      if (!struct.isSetOpenOrderId()) {
        throw new org.apache.thrift.protocol.TProtocolException("Required field 'openOrderId' was not found in serialized data! Struct: " + toString());
      }
      if (!struct.isSetNormalOrderId()) {
        throw new org.apache.thrift.protocol.TProtocolException("Required field 'normalOrderId' was not found in serialized data! Struct: " + toString());
      }
      if (!struct.isSetRefundMargin()) {
        throw new org.apache.thrift.protocol.TProtocolException("Required field 'refundMargin' was not found in serialized data! Struct: " + toString());
      }
      if (!struct.isSetReserveStake()) {
        throw new org.apache.thrift.protocol.TProtocolException("Required field 'reserveStake' was not found in serialized data! Struct: " + toString());
      }
      if (!struct.isSetStartTime()) {
        throw new org.apache.thrift.protocol.TProtocolException("Required field 'startTime' was not found in serialized data! Struct: " + toString());
      }
      struct.validate();
    }

    public void write(org.apache.thrift.protocol.TProtocol oprot, ThriftActualizedInfo struct) throws org.apache.thrift.TException {
      struct.validate();

      oprot.writeStructBegin(STRUCT_DESC);
      if (struct.serviceId != null) {
        oprot.writeFieldBegin(SERVICE_ID_FIELD_DESC);
        oprot.writeString(struct.serviceId);
        oprot.writeFieldEnd();
      }
      oprot.writeFieldBegin(USER_IDS_FIELD_DESC);
      oprot.writeI64(struct.userIds);
      oprot.writeFieldEnd();
      oprot.writeFieldBegin(OPEN_ORDER_ID_FIELD_DESC);
      oprot.writeI64(struct.openOrderId);
      oprot.writeFieldEnd();
      oprot.writeFieldBegin(NORMAL_ORDER_ID_FIELD_DESC);
      oprot.writeI64(struct.normalOrderId);
      oprot.writeFieldEnd();
      oprot.writeFieldBegin(REFUND_MARGIN_FIELD_DESC);
      oprot.writeDouble(struct.refundMargin);
      oprot.writeFieldEnd();
      oprot.writeFieldBegin(RESERVE_STAKE_FIELD_DESC);
      oprot.writeDouble(struct.reserveStake);
      oprot.writeFieldEnd();
      if (struct.matchId != null) {
        oprot.writeFieldBegin(MATCH_ID_FIELD_DESC);
        oprot.writeString(struct.matchId);
        oprot.writeFieldEnd();
      }
      if (struct.sportType != null) {
        oprot.writeFieldBegin(SPORT_TYPE_FIELD_DESC);
        oprot.writeString(struct.sportType);
        oprot.writeFieldEnd();
      }
      if (struct.orderStatus != null) {
        oprot.writeFieldBegin(ORDER_STATUS_FIELD_DESC);
        oprot.writeString(struct.orderStatus);
        oprot.writeFieldEnd();
      }
      oprot.writeFieldBegin(START_TIME_FIELD_DESC);
      oprot.writeI64(struct.startTime);
      oprot.writeFieldEnd();
      if (struct.executionStage != null) {
        oprot.writeFieldBegin(EXECUTION_STAGE_FIELD_DESC);
        oprot.writeString(struct.executionStage);
        oprot.writeFieldEnd();
      }
      oprot.writeFieldStop();
      oprot.writeStructEnd();
    }

  }

  private static class ThriftActualizedInfoTupleSchemeFactory implements SchemeFactory {
    public ThriftActualizedInfoTupleScheme getScheme() {
      return new ThriftActualizedInfoTupleScheme();
    }
  }

  private static class ThriftActualizedInfoTupleScheme extends TupleScheme<ThriftActualizedInfo> {

    @Override
    public void write(org.apache.thrift.protocol.TProtocol prot, ThriftActualizedInfo struct) throws org.apache.thrift.TException {
      TTupleProtocol oprot = (TTupleProtocol) prot;
      oprot.writeString(struct.serviceId);
      oprot.writeI64(struct.userIds);
      oprot.writeI64(struct.openOrderId);
      oprot.writeI64(struct.normalOrderId);
      oprot.writeDouble(struct.refundMargin);
      oprot.writeDouble(struct.reserveStake);
      oprot.writeString(struct.matchId);
      oprot.writeString(struct.sportType);
      oprot.writeString(struct.orderStatus);
      oprot.writeI64(struct.startTime);
      BitSet optionals = new BitSet();
      if (struct.isSetExecutionStage()) {
        optionals.set(0);
      }
      oprot.writeBitSet(optionals, 1);
      if (struct.isSetExecutionStage()) {
        oprot.writeString(struct.executionStage);
      }
    }

    @Override
    public void read(org.apache.thrift.protocol.TProtocol prot, ThriftActualizedInfo struct) throws org.apache.thrift.TException {
      TTupleProtocol iprot = (TTupleProtocol) prot;
      struct.serviceId = iprot.readString();
      struct.setServiceIdIsSet(true);
      struct.userIds = iprot.readI64();
      struct.setUserIdsIsSet(true);
      struct.openOrderId = iprot.readI64();
      struct.setOpenOrderIdIsSet(true);
      struct.normalOrderId = iprot.readI64();
      struct.setNormalOrderIdIsSet(true);
      struct.refundMargin = iprot.readDouble();
      struct.setRefundMarginIsSet(true);
      struct.reserveStake = iprot.readDouble();
      struct.setReserveStakeIsSet(true);
      struct.matchId = iprot.readString();
      struct.setMatchIdIsSet(true);
      struct.sportType = iprot.readString();
      struct.setSportTypeIsSet(true);
      struct.orderStatus = iprot.readString();
      struct.setOrderStatusIsSet(true);
      struct.startTime = iprot.readI64();
      struct.setStartTimeIsSet(true);
      BitSet incoming = iprot.readBitSet(1);
      if (incoming.get(0)) {
        struct.executionStage = iprot.readString();
        struct.setExecutionStageIsSet(true);
      }
    }
  }

}

